
Application: gvSIG desktop - gvSIG bugs #468
Undo editing tool. Applying after opening the att. table, the console appear. 
03/26/2012 02:18 PM - Victoria Agazzi

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-devel-2050
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2045 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Tools: Geometry editing (org.gvsig.editing)
Description

Hi, 
Put a vestor layer in editing mode. 
Make some changes: copy, move, rotate, etc.
Open the atribute table, select some lines, close the attribute table
Click on the Undo tool, once or twice, the console should appear.

I attach a pintscreen and the log file. 
The bug occurs with polygon, points and lines.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 750: "Undo" tool (editin... Closed 06/06/2012

History
#1 - 03/26/2012 02:18 PM - Victoria Agazzi
- File Pantallazo-3.png added

#2 - 03/26/2012 02:26 PM - Victoria Agazzi

It happened also:

I can accept the console error, and after that I try to Undo changes again, and the console appears for each time I click on Undo.

#3 - 04/06/2012 07:53 PM - Manuel Madrid
- Priority changed from Normal to Urgent

#4 - 05/23/2012 12:41 AM - Joaquín  del Cerro Murciano
- Assignee set to Juan Lucas Domínguez

#5 - 05/30/2012 02:01 PM - Joaquín  del Cerro Murciano
- Target version set to 2.0.0-alpha6

#6 - 06/06/2012 12:44 PM - Juan Lucas Domínguez
- Status changed from New to In progress
#7 - 06/06/2012 03:42 PM - Juan Lucas Domínguez
- Status changed from In progress to Fixed

gvsig-desktop:r38384

Added if case to refresh feat type.

#8 - 06/11/2012 11:57 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-alpha6 to 2.0.0-devel-2048

#9 - 07/02/2012 10:52 AM - María Maluenda
- Status changed from Fixed to Under review

I tested this bug in build 2049 (Linux). 
Put a vector layer in editing mode.  Make some changes: copy, move, rotate, etc. Open the atribute table, select some lines, close the attribute table.
And click on the Undo tool, once or twice. The error console not appears. 
But the Undo tool does not work well, because the layer does not return to its previous state.

#10 - 07/03/2012 12:19 PM - Juan Lucas Domínguez

Hello.
The undo tool does not always work.
For some operations it does not go back to previous state.
Making it work in all cases will probably involve changes in many different tools, because each tool is responsible for the undo process. Perhaps we
should priorize some tools?

#11 - 07/03/2012 12:21 PM - Juan Lucas Domínguez

Also, I suggest to (re)open a ticket with a more suitable name.

#12 - 07/06/2012 10:08 AM - Juan Lucas Domínguez

gvsig-desktop:r38544
Fixed management of old geometry.

It seems to work when you add, remove or edit a feature (move vertex, rotate, move, scale). If you find something that does not work, please describe
the exact steps.

#13 - 07/06/2012 10:09 AM - Juan Lucas Domínguez

(To be tested in build 2050)

#14 - 07/10/2012 08:18 AM - Juan Lucas Domínguez
- Target version changed from 2.0.0-devel-2048 to 2.0.0-devel-2050
#15 - 07/13/2012 11:17 AM - Juan Lucas Domínguez
- Status changed from Under review to New

#16 - 07/13/2012 11:17 AM - Juan Lucas Domínguez
- Status changed from New to Fixed

#17 - 09/03/2012 09:59 AM - María Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2051 because not appear the error console.

Files
gvSIG.log 148 KB 03/26/2012 Victoria Agazzi
Pantallazo-3.png 119 KB 03/26/2012 Victoria Agazzi
